Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.pdf
Class PDFPageLabels

    java.lang.Object
      org.apache.fop.pdf.PDFObject
          org.apache.fop.pdf.PDFDictionary
              org.apache.fop.pdf.PDFNumberTreeNode
                  org.apache.fop.pdf.PDFPageLabels

All Implemented Interfaces:
  PDFWritable

    public class PDFPageLabels

extends PDFNumberTreeNode

Class representing a PDF /PageLabels dictionary.

Field Summary

Fields inherited from class org.apache.fop.pdf.PDFDictionary
`entries, order`

Fields inherited from class org.apache.fop.pdf.PDFObject
`log`

Constructor Summary
`PDFPageLabels()` Create the /PageLabels dictionary

Method Summary
`PDFNumsArray` | `getNums()` Returns the Nums object

Methods inherited from class org.apache.fop.pdf.PDFNumberTreeNode
`getKids, getLowerLimit, getUpperLimit, setKids, setLowerLimit, setNums, setUpperLimit`

Methods inherited from class org.apache.fop.pdf.PDFDictionary
`get, output, put, put, writeDictionary`

Methods inherited from class org.apache.fop.pdf.PDFObject
`contentEquals, encode, encodeBinaryToHexString, encodeString, encodeText, formatObject, getDocument, getDocumentSafely, getGeneration, getObjectID, getObjectNumber, getParent, hasObjectNumber, makeReference, outputInline, referencePDF, setDocument, setObjectNumber, setParent, toPDF, toPDFString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PDFPageLabels

    public PDFPageLabels()

  Create the /PageLabels dictionary

Method Detail

### getNums

    public PDFNumsArray getNums()

  Returns the Nums object

  Overrides:
    `getNums` in class `PDFNumberTreeNode`
  Returns:
    the Nums object (an empty PDFNumsArray for the "/Nums" entry is created if it doesn't exist)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.